[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCanvas.GetUpdatedHandle

Checks the required canvas states and gets the updated Handle for the canvas.

## Declaration

Source position: graphics.pp line 1167

`public function TCanvas.GetUpdatedHandle(`
`ReqState: TCanvasState`
`):HDC; virtual;`

## Arguments

`ReqState` |  | Canvas state flags required in the method.

## Function result

New value for Handle after checking required canvas states.

## Description

Includes the value csHandleValid flag in ReqState and calls RequiredState to check the canvas state flags. The return value contains the updated value for the Handle property.

## See also

TCanvas.RequiredState |  | Ensures that all handles needed for the canvas are valid.
TCanvas.Handle |  | Handle (or device context) for the drawing surface.
TCanvasState |  | Set type used to store TCanvasStates values.